<?
include_once("valida_sessao.php");
protegePagina();
include_once("adm_head.php");
?>

<span class="dir">Alterar/Excluir Usuários</span>
</div>
<div id="conteudo">

<!-- Formulário de busca -->
<form action="busca.php" method="post">
<div class="busca">
<select name="campo">
  <option value="USUARIO">Usuário</option>
  <option value="NOME" selected="selected">Nome</option>
  <option value="NIVEL">Nível</option>
</select>
<input type="text" name="busca" />
<input type="hidden" name="arq" value="<? echo $_SERVER['PHP_SELF'] ?>" />
<input type="submit" value="Buscar" />
</div>
<!-- FIM Formulário de busca -->


<?php
include("config.php");

if (isset($_GET['acao'])){
	if ($_GET['acao']=="remover") {
	
		$id = $_GET['id'];				
		
		$delete = "DELETE FROM usuarios WHERE ID = $id";		
   		mysqli_query($conn, $delete);
			
	}
}

include("utf8.php");

//paginação
include_once("pag_ini.php");
$ajax = 0;
$total = 1;
//fim paginação

//alteração pra busca na mesma pagina
$sql = "SELECT * FROM usuarios ";
	echo "<input type=\"hidden\" name=\"qry\" value=\"$sql\" /> </form>";	
	
if(isset($_POST['qry'])){
	$qry = stripslashes($_POST['qry']);
}else{
	$qry = "SELECT * FROM usuarios ORDER BY ID ASC";
}

//ALTERAÇÃO PARA BUSCA COM PAGINAÇÃO
if(isset($_GET['qry']))
	$qry = stripslashes(base64_decode($_GET['qry']));

//alteração pra busca na mesma pagina

$consulta = mysqli_query($conn, $qry.$sqlFinal);

//navegador de paginação
include_once("pag_fim.php");
//fim navegador de paginação
?>

<table class="exibe form" align="center">
  <tr>
    <th width="1">ID</th>
    <th>Nome</th>
    <th>Usuário</th>
    <th width="1">Altera Usuários</th>
    <th width="1">Alterar</th>
    <th width="1">Excluir</th>
  </tr>
  
<?
while ($linha = mysqli_fetch_array($consulta)) {
?>
  <tr>
    <td><?=$linha['id'];?></td>
    <td><?=$linha['nome'];?></td>
    <td><?=$linha['usuario'];?></td>
    <td><? if($linha['adm_usuarios']==0) { echo "<img src='imagem/red_button.png' />"; } 
	else { echo "<img src='imagem/green_button.png' />"; } ?></td>
    <td><input type="image" src="imagem/editar.png" name="acao" onclick="location.href = 'usuario_alt.php?id=<?=$linha['id'];?>'" /></td>
    <td><input type="image" src="imagem/excluir.png" value="remover" name="acao" onclick="confirma_usuario(<?=$linha['id'];?>)" /></td>
  </tr>
  <?php
}
mysqli_close($conn);
?>
</table>
</div>
<? include_once("adm_foot.php"); ?>